跳到主要内容
xAI检查中

xai/grok-imagine-2.0/text-to-image

xai-grok-imagine-2-0-text-to-image-economy

文生图输出: 图像输入: 文本
正在加载价格…
官方原价 · 未验证

最小请求

仅包含必填字段,由此模型的 schema 生成。请在环境变量中设置 HERMES_API_KEY。

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "xai-grok-imagine-2-0-text-to-image-economy",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light",
    "numImages": "1"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

包含默认值

相同请求,并写出每个可选参数的默认值,便于调整。

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "xai-grok-imagine-2-0-text-to-image-economy",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light",
    "numImages": "1",
    "aspectRatio": "1:1"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"